rpms/zfs-fuse/devel zfs-fuse.init, 1.5, 1.6 zfs-fuse.spec, 1.25, 1.26 zfs-fuse.sysconfig, 1.2, 1.3

Uwe Kubosch donv at fedoraproject.org
Tue Dec 29 09:18:24 UTC 2009


Author: donv

Update of /cvs/pkgs/rpms/zfs-fuse/devel
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv5988

Modified Files:
	zfs-fuse.init zfs-fuse.spec zfs-fuse.sysconfig 
Log Message:
* Added option for killing processes with unknown working directory at zfs-fuse startup.


Index: zfs-fuse.init
===================================================================
RCS file: /cvs/pkgs/rpms/zfs-fuse/devel/zfs-fuse.init,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -p -r1.5 -r1.6
--- zfs-fuse.init	29 Dec 2009 01:28:25 -0000	1.5
+++ zfs-fuse.init	29 Dec 2009 09:18:23 -0000	1.6
@@ -55,6 +55,32 @@ start() {
     	exit 99
     esac
 
+    if [ "$ZFS_KILL_ORPHANS" == "yes_really" ] ; then
+      echo -n Killing processes with unknown working directory:
+      for a in 1 2 3 4 5 ; do
+        orphans=`lsof -w -n | grep "cwd   unknown" | awk '{print $2}'`
+        echo -n $orphans
+        [ "$orphans" == "" ] && break
+        echo -n .
+        kill $orphans
+        sleep 1
+      done
+      orphans=`lsof -w -n | grep "cwd   unknown" | awk '{print $2}'`
+      if [ "$orphans" != "" ] ; then
+        echo_failure ; echo
+        echo -n Some orphans still live: $orphans  Killing with signal 9
+        kill -9 $orphans
+      fi
+      orphans=`lsof -w -n | grep "cwd   unknown" | awk '{print $2}'`
+      if [ "$orphans" != "" ] ; then
+        echo_failure ; echo
+        echo -n Some orphans still live: $orphans
+        echo_failure ; echo
+        exit 8
+      fi
+      echo_success ; echo
+    fi
+
     echo -n $"Starting $prog: "
     daemon $exec -p "$PIDFILE"
     exec_retval=$?


Index: zfs-fuse.spec
===================================================================
RCS file: /cvs/pkgs/rpms/zfs-fuse/devel/zfs-fuse.spec,v
retrieving revision 1.25
retrieving revision 1.26
diff -u -p -r1.25 -r1.26
--- zfs-fuse.spec	29 Dec 2009 01:28:25 -0000	1.25
+++ zfs-fuse.spec	29 Dec 2009 09:18:24 -0000	1.26
@@ -94,9 +94,11 @@ fi
 * Mon Jan 04 2010 Uwe Kubosch <uwe at kubosch.no> - 0.6.0-6
 - Added option for automatic weekly scrubbing.
   Set ZFS_WEEKLY_SCRUB=yes in /etc/sysconfig/zfs-fuse to enable
-  Changed ZFS_AUTOMOUNT option value from "1" to "yes" for better readability.
+- Changed ZFS_AUTOMOUNT option value from "1" to "yes" for better readability.
   ZFS_AUTOMOUNT=1 deprecated and will be removed in version 0.7.0.
-
+- Added option for killing processes with unknown working directory at zfs-fuse startup.
+  This would be the case if zfs-fuse crashed.  Use with care.  It may kill unrelated processes.
+  Set ZFS_KILL_ORPHANS=yes_really in /etc/sysconfig/zfs-fuse to enable.
 * Sat Dec 26 2009 Uwe Kubosch <uwe at kubosch.no> - 0.6.0-5
 - Removed chckconfig on and service start commands from install script
   See https://fedoraproject.org/wiki/Packaging:SysVInitScript#Why_don.27t_we


Index: zfs-fuse.sysconfig
===================================================================
RCS file: /cvs/pkgs/rpms/zfs-fuse/devel/zfs-fuse.sysconfig,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -p -r1.2 -r1.3
--- zfs-fuse.sysconfig	29 Dec 2009 01:28:25 -0000	1.2
+++ zfs-fuse.sysconfig	29 Dec 2009 09:18:24 -0000	1.3
@@ -3,3 +3,7 @@ ZFS_AUTOMOUNT=yes
 
 # Set this option to yes to enable weekly scrubbing of your ZFS pools.
 ZFS_WEEKLY_SCRUB=yes
+
+# Set this option to yes_really to kill all processes with unknown working directory at zfs-fuse startup
+# This might kill processes totally unrelated to zfs-fuse.
+# ZFS_KILL_ORPHANS=no|yes_really




More information about the scm-commits mailing list